Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jboss.service
Class ReferenceFactoryService<T>

    java.lang.Object
      org.modeshape.jboss.service.ReferenceFactoryService<T>

All Implemented Interfaces:
  org.jboss.as.naming.ManagedReferenceFactory, org.jboss.msc.service.Service<org.jboss.as.naming.ManagedReferenceFactory>, org.jboss.msc.value.Value<org.jboss.as.naming.ManagedReferenceFactory>

    public class ReferenceFactoryService<T>

extends Object
implements org.jboss.msc.service.Service<org.jboss.as.naming.ManagedReferenceFactory>, org.jboss.as.naming.ManagedReferenceFactory

Field Summary

Fields inherited from interface org.jboss.msc.service.Service
`NULL, NULL_VALUE`

Constructor Summary
`ReferenceFactoryService()`

Method Summary
`org.jboss.msc.inject.Injector<T>` | `getInjector()`
`org.jboss.as.naming.ManagedReference` | `getReference()`
`org.jboss.as.naming.ManagedReferenceFactory` | `getValue()`
`void` | `start(org.jboss.msc.service.StartContext startContext)`
`void` | `stop(org.jboss.msc.service.StopContext stopContext)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReferenceFactoryService

    public ReferenceFactoryService()

Method Detail

### start

    public void start(org.jboss.msc.service.StartContext startContext)

  Specified by:
    `start` in interface `org.jboss.msc.service.Service<org.jboss.as.naming.ManagedReferenceFactory>`

### stop

    public void stop(org.jboss.msc.service.StopContext stopContext)

  Specified by:
    `stop` in interface `org.jboss.msc.service.Service<org.jboss.as.naming.ManagedReferenceFactory>`

### getValue

    public org.jboss.as.naming.ManagedReferenceFactory getValue()
                                                         throws IllegalStateException,
                                                                IllegalArgumentException

  Specified by:
    `getValue` in interface `org.jboss.msc.value.Value<org.jboss.as.naming.ManagedReferenceFactory>`
  Throws:
    `IllegalStateException`
    `IllegalArgumentException`

### getReference

    public org.jboss.as.naming.ManagedReference getReference()

  Specified by:
    `getReference` in interface `org.jboss.as.naming.ManagedReferenceFactory`

### getInjector

    public org.jboss.msc.inject.Injector<T> getInjector()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.